summaryrefslogtreecommitdiffstats
path: root/games/stella
diff options
context:
space:
mode:
Diffstat (limited to 'games/stella')
-rw-r--r--games/stella/slack-desc4
-rw-r--r--games/stella/stella.SlackBuild10
-rw-r--r--games/stella/stella.info10
3 files changed, 15 insertions, 9 deletions
diff --git a/games/stella/slack-desc b/games/stella/slack-desc
index a4e6bd64fa..82ac20056b 100644
--- a/games/stella/slack-desc
+++ b/games/stella/slack-desc
@@ -6,6 +6,8 @@
# leave one space after the ':'.
|-----handy-ruler-------------------------------------------------------|
+stella: stella (Atari 2600 VCS emulator)
+stella:
stella: Stella is a multi-platform Atari 2600 VCS emulator released under the
stella: GNU General Public License (GPL).
stella:
@@ -15,5 +17,3 @@ stella:
stella:
stella:
stella:
-stella:
-stella:
diff --git a/games/stella/stella.SlackBuild b/games/stella/stella.SlackBuild
index 3a151ac336..00370a4f1e 100644
--- a/games/stella/stella.SlackBuild
+++ b/games/stella/stella.SlackBuild
@@ -5,7 +5,7 @@
# Written by Luis Henrique <lmello.009@gmail.com>
PRGNAM=stella
-VERSION=${VERSION:-2.7.3a}
+VERSION=${VERSION:-3.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -42,6 +45,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--datadir=/usr/share/$PRGNAM \
--disable-static \
@@ -54,7 +58,7 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/share/{applications,pixmaps}
@@ -73,4 +77,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/stella/stella.info b/games/stella/stella.info
index 252eb1859e..a22c5eb49b 100644
--- a/games/stella/stella.info
+++ b/games/stella/stella.info
@@ -1,8 +1,10 @@
PRGNAM="stella"
-VERSION="2.7.3a"
+VERSION="3.0"
HOMEPAGE="http://stella.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/stella/stella-2.7.3a-src.tar.gz"
-MD5SUM="6994714f070e8aa0f5f62aa317a4a5e2"
+DOWNLOAD="http://downloads.sourceforge.net/project/stella/stella/3.0/stella-3.0-src.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="090c25bc446f94c4242479ae43013c79"
+MD5SUM_x86_64=""
MAINTAINER="Luis Henrique"
EMAIL="lmello.009@gmail.com"
-APPROVED="rworkman"
+APPROVED="dsomero"